# Simple Text Editor
Vuex.js 2.0 simple text editor for DIT coding challenge

### Installation

```sh
npm install dti-simple-text-editor
```

In your main.js file import the component: 

```sh
import Vue from 'vue'
import App from './App'
import SimpleTextEditor from 'dti-simple-text-editor'

let config = {
  toolbar: [
    'bold', 'italic', 'underline'
  ]
};
Vue.use(Vuex);
Vue.use(SimpleTextEditor, config);

new Vue({
  el: '#app',
  components: { App },
  template: '<App/>'
})
```

Then use it within a template by adding:

```sh
 <SimpleTextEditor></SimpleTextEditor>
```

### How it looks

![screenshot](screenshot.jpg)

Find an online [DEMO]

[DEMO]: <http://manuelalesini.com.ar/dti-coding-challenge/>