# Simple Text Editor
a Vuex.js 2.0 simple text editor for DIT coding challenge

### Installation

```sh
npm install dti-simple-text-editor
```

Then in your main.js file import and setup the component: 

```sh
import Vue from 'vue'
import App from './App'
import SimpleTextEditor from 'dti-simple-text-editor'

let config = {
  menu: [
    'bold', 'italic', 'underline'
  ]
};
Vue.use(Vuex);
Vue.use(SimpleTextEditor, config);

new Vue({
  el: '#app',
  components: { App },
  template: '<App/>'
})
```

Now you can use it in your app by simply adding:

```sh
 <SimpleTextEditor></SimpleTextEditor>
```

### How it looks

![screenshot](screenshot.jpg)

Find an online [DEMO] here

[DEMO]: <http://manuelalesini.com.ar/dti-coding-challenge/>